Index: sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js	(revision 6788)
+++ sandbox/2.4.2-expresso1/expressoMail1_2/js/main.js	(revision 6891)
@@ -3907,194 +3907,196 @@
 		wfolders.makeWindow('null','import');
 }
-function import_calendar(data){
-    var import_url = '$this.db_functions.import_vcard&msg_folder='+data;
-    var logUser;
-    var up;
-    var owner;
+
+   function import_calendar(data){
+        var import_url = '$this.db_functions.import_vcard&msg_folder='+data;
+        var logUser;
+        var up;
+        var owner;
+       
+        //Verifica o contexto de importação
+        var decodeOwner = function(){
+           
+            owner = User.me.id;
+            var imapBox = openTab.imapBox[currentTab].split(cyrus_delimiter);
+            if(imapBox.length > 1){
+                var user = DataLayer.get('user', {filter: ['=','uid',imapBox[1]]});             
+                owner = $.isArray(user) ? user[0].id : user.id;
+            }
+           
+            return owner;
+        }
+       
+        function handler_import_calendar(data){
+                if(data === true){
+                        write_msg(get_lang("The event was imported successfully."));
+                }
+                else if( data['url'] )
+                {
+                    var form = document.createElement( "form" );
     
-    //Verifica o contexto de importação
-    var decodeOwner = function(){
-	
-	owner = User.me.id;
-	var imapBox = openTab.imapBox[currentTab].split(cyrus_delimiter);
-	if(imapBox.length > 1){
-	    var user = DataLayer.get('user', {filter: ['=','uid',imapBox[1]]});		    
-	    owner = $.isArray(user) ? user[0].id : user.id;
-	}
-	
-	return owner;
+                    form.setAttribute( "action", DEFAULT_URL + data['url'] + '&isPost=true' );
+                    form.setAttribute( "method", "POST" );
+    
+                    document.body.appendChild( form );
+    
+                    form.submit();
+                }
+                else
+                    write_msg(get_lang(data));
+        }   
+            if(defaultCalendar == "expressoCalendar" && $("#expressoCalendarid")[0]){
+                    import_implements_calendar();
+                    $( "#import-dialog" ).dialog({
+                            autoOpen: false,
+                            height: 220,
+                            modal: true,
+                            resizable : false,
+                            close: function(event) {
+                                    event.stopPropagation();
+                            },
+                            closeOnEscape: true
+                    });
+                   
+                    $.ajax({
+                            url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter+'&analize=true&uidAccount='+decodeOwner(),
+                            async: false,
+                            success: function(data){
+                                            data = connector.unserialize(data);
+    
+    
+                                            var createDialog = function(typeImport, propaget){
+                                               
+                                                    if(typeof(typeImport) == "object"){
+                                                        var calendarPermission = typeImport.calendar;
+                                                        typeImport = typeImport.action;
+                                                    }
+                                                   
+                                                    switch(parseInt(typeImport)){
+                                                    case 1:
+                                                    case 7:
+                                                    case 10:
+                                                        $("#select-agenda").html('');
+    
+                                                        var options = '';
+    
+                                                        if(typeImport == 10){
+                                                            for(var i = 0; i < calendarPermission.length; i++)
+                                                                options += '<option value="'+calendarPermission[i]+'">'+Calendar.signatureOf[calendarPermission[i]].calendar.name+'</option>'
+                                                        }else{
+                                                            for(var id in Calendar.signatures)
+                                                               options += parseInt(Calendar.signatures[id].isOwner) ? '<option value="'+Calendar.signatures[id].calendar.id+'">'+Calendar.signatures[id].calendar.name+'</option>' : '';                                                   
+                                                        }
+                                                       
+                                                        $("#select-agenda").append(options);
+                                                        $("#select-agenda").css("display", "block");
+                                                       
+                                                        $("#import-dialog" ).dialog({
+                                                            buttons: {
+                                                                Cancel: function() {
+                                                                    $( this ).dialog( "close" );
+                                                                },
+                                                                "Importar" : function(){
+                                                                        $.ajax({
+                                                                            url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val()+'&uidAccount='+decodeOwner(),
+                                                                            success: function(msg){
+                                                                                var alt = ( (msg = connector.unserialize(msg)) == "ok") ? "Importado com sucesso para " : "Ocorreu um erro ao importar o evento para a agenda ";
+                                                                                alert( alt + $("#select-agenda option:selected").text() );
+                                                                            }
+                                                                        });
+                                                                        $( this ).dialog( "close" );
+                                                                }
+                                                            }
+                                                            });
+    
+                                                            if(typeImport == 7){
+                                                                $("#import-dialog").find('#select-status option[value=1]').attr('selected','selected').trigger('change');
+                                                                $("#import-dialog").find('#select-status').attr('disabled','disabled');
+                                                            }
+                                                        break;
+                                                    case 3:
+                                                            $.ajax({
+                                                                    url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+                                                                    success: function(msg){
+                                                                            alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi removido " : "Ocorreu um erro ao remover o evento" );
+                                                                    }
+                                                            });
+                                                            return;
+                                                            break; 
+                                                    case 5:
+                                                            $.ajax({
+                                                                    url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+                                                                    success: function(msg){
+                                                                            alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi Atualizado com sucesso" : "Ocorreu um erro ao atualizar evento" );
+                                                                    }
+                                                            });
+                                                            return;
+                                                            break; 
+                                                    case 6:
+                                                            var acceptedSuggestion = confirm("Deseja atualizar o evento de acordo com a sugestão ?");
+                                                            $.ajax({
+                                                                    url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&selected=true&cirus_delimiter='+cyrus_delimiter+'&acceptedSuggestion='+acceptedSuggestion+"&from="+document.getElementById('from_values_'+currentTab).value+'&uidAccount='+decodeOwner(),
+                                                                    success: function(msg){
+                                                                            if(acceptedSuggestion)
+                                                                                    alert( ( ( connector.unserialize(msg)) == "ok") ? "Evento atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
+                                                                    }
+                                                            });
+                                                            return;
+                                                            break;
+                                                    case 9:
+                                                            alert('Seu evento não possui alterações!');
+                                                            return;
+                                                            break;
+                                                    case 11:
+                                                            alert('Este evento já fora importando por algum dos particpantes e já se encontra disponível em sua agenda compartilhada!');
+                                                            return;
+                                                            break;
+                                                    default:
+                                                            up = true;
+                                                            $("#select-agenda").css("display", "none");
+                                                            $("#import-dialog" ).children("p:first-child").css("display", "none");
+                                                            $("#import-dialog" ).dialog({
+                                                                    height: 160,
+                                                                    title: 'Atualizar Evento',
+                                                                    buttons: {
+                                                                            Cancel: function() {
+                                                                                    $( this ).dialog( "close" );
+                                                                            },
+                                                                       "Atualizar": function() {
+                                                                                   
+                                                                                    $.ajax({
+                                                                                             url: "controller.php?action="+import_url+'&from_ajax=true&cirus_delimiter='+cyrus_delimiter+'&selected='+ (parseInt(typeImport) == 2 || parseInt(typeImport) == 4 ? 'true' : $("#select-agenda option:selected").val()) +'&status='+$("#select-status option:selected").val()+'&uidAccount='+decodeOwner(),
+                                                                                             success: function(msg){
+                                                                                                            alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso" : "Ocorreu um erro ao atualizar o evento" );
+                                                                                            }
+                                                                                    });
+                                                                                    $( this ).dialog( "close" );
+                                                                            }
+                                                                    }
+                                                            });
+                                                            $(".ui-dialog-buttonpane").find(".ui-button:last").children().html("Atualizar");
+                                                    }
+                                                    $( "#import-dialog" ).dialog( "open" );
+                                                                                                                                   
+                                            };
+                                            createDialog(data, true);
+                                   
+                    },
+                    beforeSend: function( jqXHR, settings ){
+                                            connector.showProgressBar();
+                                    },
+                                    complete: function( jqXHR, settings ){
+                                            connector.hideProgressBar();
+                                    }
+                });
+                           
+                    }
+                    else
+                    {
+                        if(confirm(get_lang("Do you confirm this import to your Calendar?"))){
+                            cExecute( import_url + "&from_ajax=true", handler_import_calendar);
+                        }
+                    }
     }
-    
-    function handler_import_calendar(data){
-            if(data === true){
-                    write_msg(get_lang("The event was imported successfully."));
-            }
-            else if( data['url'] )
-            {
-                var form = document.createElement( "form" );
-
-                form.setAttribute( "action", DEFAULT_URL + data['url'] + '&isPost=true' );
-                form.setAttribute( "method", "POST" );
-
-                document.body.appendChild( form );
-
-                form.submit();
-            }
-            else
-                write_msg(get_lang(data));
-    }	
-	if(defaultCalendar == "expressoCalendar" && $("#expressoCalendarid")[0]){
-		import_implements_calendar();
-		$( "#import-dialog" ).dialog({
-			autoOpen: false,
-			height: 220,
-			modal: true,
-			resizable : false,
-			close: function(event) {
-				event.stopPropagation();
-			},
-			closeOnEscape: true
-		});
-		
-		$.ajax({
-			url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter+'&analize=true&uidAccount='+decodeOwner(),
-			async: false,
-			success: function(data){
-					data = connector.unserialize(data);
-
-
-					var createDialog = function(typeImport, propaget){
-					    
-						if(typeof(typeImport) == "object"){
-						    var calendarPermission = typeImport.calendar;
-						    typeImport = typeImport.action;
-						}
-						
-						switch(parseInt(typeImport)){
-						case 1:
-						case 7:
-						case 10:
-						    $("#select-agenda").html('');
-
-						    var options = '';
-
-						    if(typeImport == 10){
-							for(var i = 0; i < calendarPermission.length; i++)
-							    options += '<option value="'+calendarPermission[i]+'">'+Calendar.signatureOf[calendarPermission[i]].calendar.name+'</option>'
-						    }else{
-							for(var id in Calendar.signatures)
-							   options += parseInt(Calendar.signatures[id].isOwner) ? '<option value="'+Calendar.signatures[id].calendar.id+'">'+Calendar.signatures[id].calendar.name+'</option>' : '';							
-						    }
-						    
-						    $("#select-agenda").append(options);
-						    $("#select-agenda").css("display", "block");
-						    
-						    $("#import-dialog" ).dialog({
-							buttons: {
-							    Cancel: function() {
-								$( this ).dialog( "close" );
-							    },
-							    "Importar" : function(){
-								    $.ajax({
-									url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val()+'&uidAccount='+decodeOwner(),
-									success: function(msg){
-									    var alt = ( (msg = connector.unserialize(msg)) == "ok") ? "Importado com sucesso para " : "Ocorreu um erro ao importar o evento para a agenda ";
-									    alert( alt + $("#select-agenda option:selected").text() );
-									}
-								    });
-								    $( this ).dialog( "close" );
-							    }
-							}
-							});
-
-							if(typeImport == 7){
-							    $("#import-dialog").find('#select-status option[value=1]').attr('selected','selected').trigger('change');
-							    $("#import-dialog").find('#select-status').attr('disabled','disabled');
-							}
-						    break;
-						case 3:
-							$.ajax({
-								url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
-								success: function(msg){
-									alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi removido " : "Ocorreu um erro ao remover o evento" );
-								}
-							});
-							return;
-							break;	
-						case 5:
-							$.ajax({
-								url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
-								success: function(msg){
-									alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi Atualizado com sucesso" : "Ocorreu um erro ao atualizar evento" );
-								}
-							});
-							return;
-							break;	
-						case 6:
-							var acceptedSuggestion = confirm("Deseja atualizar o evento de acordo com a sugestão ?");
-							$.ajax({
-								url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&selected=true&cirus_delimiter='+cyrus_delimiter+'&acceptedSuggestion='+acceptedSuggestion+"&from="+document.getElementById('from_values_'+currentTab).value,
-								success: function(msg){
-									if(acceptedSuggestion)
-										alert( ( ( connector.unserialize(msg)) == "ok") ? "Evento atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
-								}
-							});
-							return;
-							break;
-						case 9:
-							alert('Seu evento não possui alterações!');
-							return;
-							break;
-						case 11:
-							alert('Este evento já fora importando por algum dos particpantes e já se encontra disponível em sua agenda compartilhada!');
-							return;
-							break;
-						default:
-							up = true;
-							$("#select-agenda").css("display", "none");
-							$("#import-dialog" ).children("p:first-child").css("display", "none");
-							$("#import-dialog" ).dialog({
-								height: 160,
-								title: 'Atualizar Evento',
-								buttons: {
-									Cancel: function() {
-										$( this ).dialog( "close" );
-									},
-								   "Atualizar": function() {
-										
-										$.ajax({
-											 url: "controller.php?action="+import_url+'&from_ajax=true&selected='+ (parseInt(typeImport) == 2 || parseInt(typeImport) == 4 ? 'true' : $("#select-agenda option:selected").val()) +'&status='+$("#select-status option:selected").val(),
-											 success: function(msg){
-													alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso para " : "Ocorreu um erro ao atualizar o evento" );
-											}
-										});
-										$( this ).dialog( "close" );
-									}
-								}
-							});
-							$(".ui-dialog-buttonpane").find(".ui-button:last").children().html("Atualizar");
-						}
-						$( "#import-dialog" ).dialog( "open" );	
-																
-					};
-					createDialog(data, true);
-                                
-                },
-                beforeSend: function( jqXHR, settings ){
-				  	connector.showProgressBar();
-				},
-				complete: function( jqXHR, settings ){
-				  	connector.hideProgressBar();
-				}
-            });
-			
-		}
-		else
-		{
-		    if(confirm(get_lang("Do you confirm this import to your Calendar?"))){
-			cExecute( import_url + "&from_ajax=true", handler_import_calendar);
-		    }
-		}
-}
+
 function open_msg_part(data){
 	var handler_open_msg_part = function (data)