Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css	(revision 6894)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css	(revision 6894)
@@ -0,0 +1,32 @@
+		.month {
+
+			min-width: 600px;
+			min-height: 400px;
+			background : #F4F6FA;
+			border: 1px solid #DCE7FC;
+			text-align: center;
+			float: left;
+		}
+		.month .name-month {
+			font: 20px arial;
+			color: #8EB2FF;
+			margin: 0 0 15px 0;
+		}
+		.month .name-month img {
+			margin: 3	px 0 0 0;
+			width: 20px;
+			height: 20px;
+		}
+		.month span {
+			font: 14px arial;
+			display: block;
+
+		}
+		.month .days ul {
+			list-style: none;
+
+		}
+		.month .days ul li{
+			font: 12px arial;
+			margin: 3px;
+		}
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6893)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6894)
@@ -124,4 +124,33 @@
 		window_print.print();  
 	});	 */
+
+
+	//var html = DataLayer.render( path + 'templates/attendee_permissions.ejs', {} );
+	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
+       $('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
+       print.addClass('fc-corner-right');
+       print.addClass('fc-button-print');
+       print.removeClass('fc-button-agendaDay');
+       print.removeClass('fc-corner-left');
+       print.find('.fc-button-content').html('Imprimir');
+       $('.fc-header-right').append(print);
+       $('.fc-button-print').click(function(){
+			var window_print = window.open('','ExpressoCalendar','width=600,height=600,scrollbars=yes');        
+			window_print.document.open();
+			if($("#calendar").fullCalendar('getView').name == "month"){
+				var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
+				var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
+				var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
+				
+				var data = DataLayer.get("schedulable:print", criteria);
+				
+				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_month.ejs', {
+					'InfoPage' : $("#calendar").fullCalendar('getView').title,
+					'days' : data
+				} ));
+			}			
+			//window_print.document.close();
+			window_print.print();
+	   });
 }
 
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6894)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6894)
@@ -0,0 +1,31 @@
+	<% console.log(data) %>
+	<div class="month">
+		<div class="name-month"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>	
+		<div class="first-week">
+			<div class="days">
+				
+					<%
+						for(var i=0; i < data.days.events.length; i++){
+							for(var jj in data.days.events[i]){
+					%>
+						<span><strong><%= jj %></strong></span>
+						<ul>
+						
+						<% for(var ii=0; ii<data.days.events[i][jj].events.length; ii++){ 
+							var hora = data.days.events[i][jj].events[ii].allDay ? "Dia todo" : data.days.events[i][jj].events[ii].startHour + " - " + data.days.events[i][jj].events[ii].endHour;
+						%>
+							<li class="print_event_item">&raquo; <%= hora %> | <%= data.days.events[i][jj].events[ii].summary %></li>
+						<% } %>
+						
+						</ul>
+						
+						<br>
+					<%	
+							}
+						}
+					%>
+					
+				
+			</div><!--days-->
+		</div><!--first-week-->
+	</div><!--mounth-->