Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6893)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6896)
@@ -1,15 +1,43 @@
+.month {
+	min-width: 600px;
+	min-height: 400px;
+	background : #F4F6FA;
+	border: 1px solid #DCE7FC;
+	text-align: center;
+	float: left;
+}
+.month .name-month {
+	font: 20px arial;
+	color: #8EB2FF;
+	margin: 0 0 15px 0;
+}
+.month .name-month img {
+	margin: 3px 0 0 0;
+	width: 20px;
+	height: 20px;
+}
+.month span {
+	font: 14px arial;
+	display: block;
+
+}
+.month .days ul {
+	list-style: none;
+
+}
+.month .days ul li{
+	font: 12px arial;
+	margin: 3px;
+}
 body.detail{	
 	margin-top: 30px;
 }
-
 .details-event-list {
 	margin-top: 10px;
 }
-
 body.detail a.title {
 	font-weight: bold;
 	color: #30487E !important;
 }
-
 .events-list-win td{
 	padding: 0px;
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6894)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6896)
@@ -128,29 +128,29 @@
 	//var html = DataLayer.render( path + 'templates/attendee_permissions.ejs', {} );
 	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
-       $('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
-       print.addClass('fc-corner-right');
-       print.addClass('fc-button-print');
-       print.removeClass('fc-button-agendaDay');
-       print.removeClass('fc-corner-left');
-       print.find('.fc-button-content').html('Imprimir');
-       $('.fc-header-right').append(print);
-       $('.fc-button-print').click(function(){
-			var window_print = window.open('','ExpressoCalendar','width=600,height=600,scrollbars=yes');        
-			window_print.document.open();
-			if($("#calendar").fullCalendar('getView').name == "month"){
-				var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
-				var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
-				var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
-				
-				var data = DataLayer.get("schedulable:print", criteria);
-				
-				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_month.ejs', {
-					'InfoPage' : $("#calendar").fullCalendar('getView').title,
-					'days' : data
-				} ));
-			}			
-			//window_print.document.close();
-			window_print.print();
-	   });
+	$('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
+	print.addClass('fc-corner-right');
+	print.addClass('fc-button-print');
+	print.removeClass('fc-button-agendaDay');
+	print.removeClass('fc-corner-left');
+	print.find('.fc-button-content').html('Imprimir');
+	$('.fc-header-right').append(print);
+	$('.fc-button-print').click(function(){
+		var window_print = window.open('','ExpressoCalendar','width=800,height=600,scrollbars=yes');        
+		window_print.document.open();
+		var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
+		var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
+		var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
+		
+		var data = DataLayer.get("schedulable:print", criteria);
+			
+		if($("#calendar").fullCalendar('getView').name == "month"){				
+			window_print.document.write(DataLayer.render('templates/print_month.ejs', {
+				'InfoPage' : $("#calendar").fullCalendar('getView').title,
+				'days' : data
+			} ));
+		}			
+		//window_print.document.close();
+		window_print.print();
+	});
 }
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6894)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6896)
@@ -1,2 +1,11 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+	<head>
+		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/reset.css">
+		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css">
+		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css">
+		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
+	</head>
+	<body>	
 	<% console.log(data) %>
 	<div class="month">
@@ -30,2 +39,4 @@
 		</div><!--first-week-->
 	</div><!--mounth-->
+	</body>
+</html>