Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6896)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6897)
@@ -1,32 +1,41 @@
-.month {
-	min-width: 600px;
-	min-height: 400px;
-	background : #F4F6FA;
-	border: 1px solid #DCE7FC;
-	text-align: center;
-	float: left;
-}
-.month .name-month {
+.title_print {
 	font: 20px arial;
 	color: #8EB2FF;
 	margin: 0 0 15px 0;
+	text-align: center;
 }
-.month .name-month img {
+.title_print img {
 	margin: 3px 0 0 0;
 	width: 20px;
 	height: 20px;
 }
-.month span {
-	font: 14px arial;
+.month_day_print {
+	font: bold 14px arial;
+	margin-left: 10px;
 	display: block;
 
 }
-.month .days ul {
+.calendar_list_print {
 	list-style: none;
-
+	margin-left: 75px;
+    margin-top: 5px;
 }
-.month .days ul li{
+.calendar_item_print span{
 	font: 12px arial;
-	margin: 3px;
+	margin-left: 3px;
+}
+.allDay_list{
+	margin-left: 10px;
+	list-style: none;
+}
+.calendar_day_item_print{
+	margin-left: 20px;
+}
+.allDay_list_label {
+	position: absolute;
+	left:0;
+}
+.allDay_list li.allDay_item{
+	margin-left: 10px;
 }
 body.detail{	
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css	(revision 6894)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/calendar_print.css	(revision 6897)
@@ -1,31 +1,24 @@
-		.month {
 
-			min-width: 600px;
-			min-height: 400px;
-			background : #F4F6FA;
-			border: 1px solid #DCE7FC;
-			text-align: center;
-			float: left;
-		}
-		.month .name-month {
+		.title_print {
 			font: 20px arial;
 			color: #8EB2FF;
 			margin: 0 0 15px 0;
+			text-align: center;
 		}
-		.month .name-month img {
+		.title_print img {
 			margin: 3	px 0 0 0;
 			width: 20px;
 			height: 20px;
 		}
-		.month span {
+		.month_day_print {
 			font: 14px arial;
 			display: block;
 
 		}
-		.month .days ul {
+		.calendar_list_print {
 			list-style: none;
 
 		}
-		.month .days ul li{
+		.calendar_item_print {
 			font: 12px arial;
 			margin: 3px;
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6896)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6897)
@@ -142,13 +142,20 @@
 		var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
 		
-		var data = DataLayer.get("schedulable:print", criteria);
-			
+		var data = DataLayer.get("schedulable:print", criteria);	
 		if($("#calendar").fullCalendar('getView').name == "month"){				
 			window_print.document.write(DataLayer.render('templates/print_month.ejs', {
 				'InfoPage' : $("#calendar").fullCalendar('getView').title,
-				'days' : data
+				'days' : data,
+				'title': 'Calendário Mensal'
+			} ));
+		}
+		if($("#calendar").fullCalendar('getView').name == "agendaDay"){				
+			window_print.document.write(DataLayer.render('templates/calendar_day_print.ejs', {
+				'InfoPage' : $("#calendar").fullCalendar('getView').title,
+				'days' : data,
+				'title': 'Calendário Diário'
 			} ));
 		}			
-		//window_print.document.close();
+		window_print.document.close();
 		window_print.print();
 	});
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6896)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/print_month.ejs	(revision 6897)
@@ -2,40 +2,43 @@
 <html>
 	<head>
-		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/reset.css">
-		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css">
-		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css">
 		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
+		<title><%= data.title %></title>
 	</head>
 	<body>	
-	<% console.log(data) %>
-	<div class="month">
-		<div class="name-month"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>	
-		<div class="first-week">
-			<div class="days">
-				
+	<div>
+		<div class="title_print"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>	
+		<div class="content_month_print">	
+			<%
+				for(var i=0; i < data.days.events.length; i++){
+					for(var jj in data.days.events[i]){
+			%>
+				<span class="month_day_print"><%= jj %></span>
+				<ul class="calendar_list_print">
+				<% for(var ii=0; ii<data.days.events[i][jj].events.length; ii++){ 
+					var hora = data.days.events[i][jj].events[ii].allDay ? "Dia todo" : data.days.events[i][jj].events[ii].startHour + " - " + data.days.events[i][jj].events[ii].endHour;
+				%>
 					<%
-						for(var i=0; i < data.days.events.length; i++){
-							for(var jj in data.days.events[i]){
-					%>
-						<span><strong><%= jj %></strong></span>
-						<ul>
-						
-						<% for(var ii=0; ii<data.days.events[i][jj].events.length; ii++){ 
-							var hora = data.days.events[i][jj].events[ii].allDay ? "Dia todo" : data.days.events[i][jj].events[ii].startHour + " - " + data.days.events[i][jj].events[ii].endHour;
-						%>
-							<li class="print_event_item">&raquo; <%= hora %> | <%= data.days.events[i][jj].events[ii].summary %></li>
-						<% } %>
-						
-						</ul>
-						
-						<br>
-					<%	
+							var img_type = "";
+							var title_type = "";
+							if(data.days.events[i][jj].events[ii].type == '1'){
+								img_type = "../prototype/modules/calendar/img/event.png";
+								title_type = "Evento";
+							}if(data.days.events[i][jj].events[ii].type == '2'){
+								img_type = "../prototype/modules/calendar/img/task.png"; 
+								title_type = "Tarefa";
+							}if(data.days.events[i][jj].events[ii].type == '3'){
+								img_type = "../prototype/modules/calendar/img/activity_icon.jpg"; 
+								title_type = "Atividade";
 							}
-						}
-					%>
-					
-				
-			</div><!--days-->
-		</div><!--first-week-->
+							%>
+							<li class="calendar_item_print"><img title="<%= title_type %>" src="<%= img_type %>"><span><%= hora %> | <%= data.days.events[i][jj].events[ii].summary %></span></li>
+				<% } %>
+				</ul>
+				<br>
+			<%	
+					}
+				}
+			%>
+		</div><!--days-->
 	</div><!--mounth-->
 	</body>