Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6904)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6912)
@@ -69,4 +69,66 @@
 	padding: 0px;
 }
+
+
+.week  .event-on-day{
+	font: 10px arial;
+	margin: 5px 0;
+}
+.week {
+
+	min-width: 600px;
+	min-height: 400px;
+	background : #F4F6FA;
+	border: 1px solid #DCE7FC;
+	text-align: center;
+	float: left;
+}
+.week .name-month {
+	font: 20px arial;
+	color: #8EB2FF;
+	margin: 0 0 15px 0;
+}
+.week .name-month img {
+	margin: 3	px 0 0 0;
+	width: 20px;
+	height: 20px;
+}
+.week span {
+	font: 14px arial;
+	display: block;
+
+}
+.week .days ul {
+	list-style: none;
+	display: block;
+	
+}
+
+.week ul li{
+	float: left;
+	display: inline;
+	border: 1px solid #D7D7FF;
+	width: 100px;
+}
+.week .all-day-line{
+	border: 0;
+	
+}
+.week .event-all-day{
+	margin: 3px 0;
+	font: 10px arial;
+}
+.week .all-day-line .write{
+	margin:-3px 0 0 0;
+	font-weight: bold;
+	border-left: 1px solid #D7D7FF;
+	border-top: 1px solid #D7D7FF;
+	border-bottom: 1px solid #D7D7FF;
+	
+}
+.week .all-day{
+	border-top: 1px solid #D7D7FF;
+	border-bottom: 1px solid #D7D7FF;
+}
 .fc-year-have-event{
 		border:2px solid #9cf !important;
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6904)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6912)
@@ -128,4 +128,44 @@
 	//var html = DataLayer.render( path + 'templates/attendee_permissions.ejs', {} );
 	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
+/*
+       $('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
+       print.addClass('fc-corner-right');
+       print.addClass('fc-button-print');
+       print.removeClass('fc-button-agendaDay');
+       print.removeClass('fc-corner-left');
+       print.find('.fc-button-content').html('Imprimir');
+       $('.fc-header-right').append(print);
+       $('.fc-button-print').click(function(){
+			var window_print = window.open('','ExpressoCalendar','width=600,height=600,scrollbars=yes');        
+			window_print.document.open();
+			
+			
+			var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
+			var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
+			var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
+				
+			var data = DataLayer.get("schedulable:print", criteria);
+				
+			
+			if($("#calendar").fullCalendar('getView').name == "month"){
+				
+				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_month.ejs', {
+					'InfoPage' : $("#calendar").fullCalendar('getView').title,
+					'days' : data
+				} ));
+			} else if($("#calendar").fullCalendar('getView').name == "agendaWeek"){
+				
+				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_week.ejs', {
+					'InfoPage' : $("#calendar").fullCalendar('getView').title,
+					'days' : data
+				} ));
+			}
+			//window_print.document.close();
+			window_print.print();
+	   });
+*/
+
+
+
 	$('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
 	print.addClass('fc-corner-right');
@@ -156,4 +196,32 @@
 				'title': 'Calendário Diário'
 			} ));
+<<<<<<< .mine
+		}	
+		
+		if($("#calendar").fullCalendar('getView').name == "agendaWeek"){
+				
+				window_print.document.write(DataLayer.render('templates/calendar_week_print.ejs', {
+					'InfoPage' : $("#calendar").fullCalendar('getView').title,
+					'days' : data,
+					'title': 'Calendário Semanal'
+				} ));
+				
+				var aux = 0;
+				
+				
+				setTimeout(function(){$(window_print.document).find(".all-day").each(function(){
+					if($(this).height() > aux)
+						aux = $(this).height();
+				})
+				
+				$(window_print.document).find(".all-day").each(function(){
+					$(this).height(aux);
+				});
+				$(window_print.document).find(".all-day-line .write").height(aux);
+				aux = 0;
+				},20);
+				
+		}		
+=======
 		}	
 		if($("#calendar").fullCalendar('getView').name == "year"){	
@@ -163,7 +231,9 @@
 			} ));
 		}		
+>>>>>>> .r6911
 		window_print.document.close();
 		window_print.print();
 	});
+	
 }
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs	(revision 6912)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs	(revision 6912)
@@ -0,0 +1,89 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+	<head>
+		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
+		<title><%= data.title %></title>
+	</head>
+	<body>	
+	
+	<% delete data.days.events[7]; %>
+	
+	<div class="week">
+			<div class="name-month"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %></div>	
+
+		<div class="first-week">
+			<div class="days">
+					<ul>
+						<li class="all-day-line">
+								<div>&nbsp;</div>
+								<div class="write">
+									<!-- Aqui dia todo -->
+									Dia todo
+								</div>
+						</li>
+						<%
+							for(var i=0; i<data.days.events.length-1; i++){
+								for(var eachInd in data.days.events[i]){
+									
+						%>
+						<li class="li-day">
+							<div class="day-name">
+								<span><strong><%= eachInd.split(" ")[0] %></strong></span>
+							</div>
+							
+							<div class="all-day">
+							<%
+								var aux = false;
+								if(data.days.events[i][eachInd].events){
+									for(var ii=0; ii<data.days.events[i][eachInd].events.length; ii++){
+										if(data.days.events[i][eachInd].events[ii].allDay == true){
+										aux = true;
+							%>	
+									<!-- Aqui dia todo -->
+									<div class="event-all-day"> &nbsp; <%= data.days.events[i][eachInd].events[ii].summary %></div>
+							<%		
+										}
+									}
+								}
+									
+							%>
+							
+							<% if(!aux){ %>
+								<div class="event-all-day"> &nbsp; </div>
+							<% } %>
+							</div>
+							
+							
+							<div>
+							<%	
+									
+								if(data.days.events[i][eachInd].events){
+									for(var ii=0; ii<data.days.events[i][eachInd].events.length; ii++){
+								
+										if(data.days.events[i][eachInd].events[ii].allDay == false){
+									var startHour =  data.days.events[i][eachInd].events[ii].startHour;
+									var endHour =  data.days.events[i][eachInd].events[ii].endHour;
+							%>
+									<!-- Aqui o restante -->
+
+									<div class="event-on-day"><%= data.days.events[i][eachInd].events[ii].summary %> | <%= startHour %> - <%= endHour %> </div>						
+							<%	
+										}
+									}
+								}
+							%>
+							</div>
+						</li>
+						<%		
+								}
+							}
+						%>
+	
+						
+					</ul>
+
+			</div><!--days-->
+		</div><!--first-week-->
+	</div><!--week-->
+	</body>
+</html>