Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6912)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/print.css	(revision 6915)
@@ -69,6 +69,4 @@
 	padding: 0px;
 }
-
-
 .week  .event-on-day{
 	font: 10px arial;
@@ -76,9 +74,6 @@
 }
 .week {
-
 	min-width: 600px;
 	min-height: 400px;
-	background : #F4F6FA;
-	border: 1px solid #DCE7FC;
 	text-align: center;
 	float: left;
@@ -90,5 +85,5 @@
 }
 .week .name-month img {
-	margin: 3	px 0 0 0;
+	margin: 3px 0 0 0;
 	width: 20px;
 	height: 20px;
@@ -97,21 +92,17 @@
 	font: 14px arial;
 	display: block;
-
 }
 .week .days ul {
 	list-style: none;
 	display: block;
-	
 }
-
 .week ul li{
 	float: left;
 	display: inline;
-	border: 1px solid #D7D7FF;
+	border: 1px solid;
 	width: 100px;
 }
 .week .all-day-line{
 	border: 0;
-	
 }
 .week .event-all-day{
@@ -122,12 +113,11 @@
 	margin:-3px 0 0 0;
 	font-weight: bold;
-	border-left: 1px solid #D7D7FF;
-	border-top: 1px solid #D7D7FF;
-	border-bottom: 1px solid #D7D7FF;
-	
+	border-left: 1px solid;
+	border-top: 1px solid;
+	border-bottom: 1px solid;	
 }
 .week .all-day{
-	border-top: 1px solid #D7D7FF;
-	border-bottom: 1px solid #D7D7FF;
+	border-top: 1px solid;
+	border-bottom: 1px solid;
 }
 .fc-year-have-event{
@@ -140,5 +130,2 @@
 	text-align: center
 }
-.fc-year-monthly-td table{
-	padding-left: 0px !important;
-}
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6914)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6915)
@@ -102,69 +102,6 @@
 
 function printEvents(){
-
-/* 	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
-	$('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
-	print.addClass('fc-corner-right');
-	print.addClass('fc-button-print');
-	print.removeClass('fc-button-agendaDay');
-	print.removeClass('fc-corner-left');
-	print.find('.fc-button-content').html('Imprimir');
-	$('.fc-header-right').append(print);
-	$('.fc-button-print').click(function(){
- 		var window_print = window.open('','ExpressoCalendar','width=800,height=600,scrollbars=yes');
-		var calendar = document.getElementById('calendar').cloneNode(true);
-		$(calendar).css('width', '77%');
-		$(calendar).fullCalendar('render');
-		bdhtml = $(calendar).find('.fc-content').clone().html();		
-		window_print.document.open();		
-		window_print.document.write('<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/reset.css">'+
-		'<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.css">'+
-		'<link rel="stylesheet" type="text/css" href="../prototype/plugins/fullcalendar/fullcalendar.print.css" media="print">'+bdhtml);
-		window_print.document.close();
-		window_print.print();  
-	});	 */
-
-
 	//var html = DataLayer.render( path + 'templates/attendee_permissions.ejs', {} );
 	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
-/*
-       $('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
-       print.addClass('fc-corner-right');
-       print.addClass('fc-button-print');
-       print.removeClass('fc-button-agendaDay');
-       print.removeClass('fc-corner-left');
-       print.find('.fc-button-content').html('Imprimir');
-       $('.fc-header-right').append(print);
-       $('.fc-button-print').click(function(){
-			var window_print = window.open('','ExpressoCalendar','width=600,height=600,scrollbars=yes');        
-			window_print.document.open();
-			
-			
-			var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
-			var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
-			var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
-				
-			var data = DataLayer.get("schedulable:print", criteria);
-				
-			
-			if($("#calendar").fullCalendar('getView').name == "month"){
-				
-				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_month.ejs', {
-					'InfoPage' : $("#calendar").fullCalendar('getView').title,
-					'days' : data
-				} ));
-			} else if($("#calendar").fullCalendar('getView').name == "agendaWeek"){
-				
-				window_print.document.write('<link rel="stylesheet" type"text/css" href="../prototype/modules/calendar/css/calendar_print.css" >' + DataLayer.render('templates/print_week.ejs', {
-					'InfoPage' : $("#calendar").fullCalendar('getView').title,
-					'days' : data
-				} ));
-			}
-			//window_print.document.close();
-			window_print.print();
-	   });
-*/
-
-
 
 	$('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
@@ -186,6 +123,5 @@
 			window_print.document.write(DataLayer.render('templates/calendar_month_print.ejs', {
 				'InfoPage' : $("#calendar").fullCalendar('getView').title,
-				'days' : data,
-				'title': 'Calendário Mensal'
+				'days' : data
 			} ));
 		}
@@ -193,34 +129,25 @@
 			window_print.document.write(DataLayer.render('templates/calendar_day_print.ejs', {
 				'InfoPage' : $("#calendar").fullCalendar('getView').title,
-				'days' : data,
-				'title': 'Calendário Diário'
+				'days' : data
 			} ));
-		}	
-		
+		}
 		if($("#calendar").fullCalendar('getView').name == "agendaWeek"){
-				
-				window_print.document.write(DataLayer.render('templates/calendar_week_print.ejs', {
-					'InfoPage' : $("#calendar").fullCalendar('getView').title,
-					'days' : data,
-					'title': 'Calendário Semanal'
-				} ));
-				
-				var aux = 0;
-				
-				
-				setTimeout(function(){$(window_print.document).find(".all-day").each(function(){
-					if($(this).height() > aux)
-						aux = $(this).height();
-				})
-				
-				$(window_print.document).find(".all-day").each(function(){
-					$(this).height(aux);
-				});
-				$(window_print.document).find(".all-day-line .write").height(aux);
-				aux = 0;
-				},20);
-				
+			window_print.document.write(DataLayer.render('templates/calendar_week_print.ejs', {
+				'InfoPage' : $("#calendar").fullCalendar('getView').title,
+				'days' : data
+			}));
+			
+			var aux = 0;
+			setTimeout(function(){$(window_print.document).find(".all-day").each(function(){
+				if($(this).height() > aux)
+					aux = $(this).height();
+			});
+			$(window_print.document).find(".all-day").each(function(){
+				$(this).height(aux);
+			});
+			$(window_print.document).find(".all-day-line .write").height(aux);
+			aux = 0;
+			},20);
 		}
-		}	
 		if($("#calendar").fullCalendar('getView').name == "year"){	
 			window_print.document.write(DataLayer.render('templates/calendar_year_print.ejs', {
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_month_print.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_month_print.ejs	(revision 6907)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_month_print.ejs	(revision 6915)
@@ -3,11 +3,12 @@
 	<head>
 		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
-		<title><%= data.title %></title>
+		<title>Visualização Mensal</title>
 	</head>
 	<body>	
-	<div>
-		<div class="title_print"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>	
+	<div class="month">
+		<div class="title_print"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>
+		<%if(data.days){%>
 		<div class="content_month_print">	
-			<%
+			<%	
 				for(var i=0; i < data.days.events.length; i++){
 					for(var jj in data.days.events[i]){
@@ -41,4 +42,5 @@
 			%>
 		</div><!--days-->
+		<%}%>
 	</div><!--mounth-->
 	</body>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs	(revision 6912)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_week_print.ejs	(revision 6915)
@@ -3,13 +3,12 @@
 	<head>
 		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
-		<title><%= data.title %></title>
+		<title>Visualização Semanal</title>
 	</head>
 	<body>	
-	
-	<% delete data.days.events[7]; %>
-	
+
 	<div class="week">
-			<div class="name-month"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %></div>	
-
+		<div class="name-month"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %></div>	
+		<% if(data.days){
+		delete data.days.events[7]; %>
 		<div class="first-week">
 			<div class="days">
@@ -85,4 +84,5 @@
 			</div><!--days-->
 		</div><!--first-week-->
+		<%}%>
 	</div><!--week-->
 	</body>
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_day_print.ejs
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_day_print.ejs	(revision 6906)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/calendar_day_print.ejs	(revision 6915)
@@ -3,11 +3,11 @@
 	<head>
 		<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/print.css">
-		<title><%= data.title %></title>
+		<title>Visualização Diária</title>
 	</head>
 	<body>	
-	<div>
+	<div class="day">
 		<div class="title_print"> <img src="../prototype/modules/calendar/img/navbar.png"> <%= data.InfoPage %> </div>			
 		<%
-		if(data.days)
+		if(data.days){
 			for(var jj in data.days.events[0]){
 		%>
@@ -63,5 +63,5 @@
 		<%	
 			}
-		%>
+		}%>
 	</div><!--mounth-->
 	</body>