Index: branches/2.4/expressoMail1_2/js/sharemailbox.js
===================================================================
--- branches/2.4/expressoMail1_2/js/sharemailbox.js	(revision 6884)
+++ branches/2.4/expressoMail1_2/js/sharemailbox.js	(revision 6931)
@@ -206,7 +206,15 @@
 				beforeClose	: function()
 				{ 
-					$(this).dialog("destroy");
 					div.removeChild(div.firstChild);
-				}
+				}, 
+        close:function(event, ui)  
+        { 
+            if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+            $(this).dialog("destroy"); 
+        }, 
+        open: function(event, ui)  
+        { 
+            if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+        } 
 		});
 
Index: branches/2.4/expressoMail1_2/js/common_functions.js
===================================================================
--- branches/2.4/expressoMail1_2/js/common_functions.js	(revision 6754)
+++ branches/2.4/expressoMail1_2/js/common_functions.js	(revision 6931)
@@ -687,5 +687,10 @@
 			select_all_search_messages(false, 'content_id_'+currentTab);
 			event.stopPropagation();
+		if(typeof(shortcut) != 'undefined') shortcut.disabled = false; 
 		},
+		open: function(event, ui)  
+ 	    { 
+ 	        if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+ 	    }, 
 		autoOpen:false,
 		dialogClass: 'dialog-configure-label'
@@ -740,5 +745,10 @@
 			select_all_search_messages(false, 'content_id_'+currentTab);
 			event.stopPropagation();
+	if(typeof(shortcut) != 'undefined') shortcut.disabled = false; 
 		},
+	open: function(event, ui)  
+ 	{ 
+ 	    if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+ 	}, 
 		autoOpen:false
 	});	
Index: branches/2.4/expressoMail1_2/js/main.js
===================================================================
--- branches/2.4/expressoMail1_2/js/main.js	(revision 6867)
+++ branches/2.4/expressoMail1_2/js/main.js	(revision 6931)
@@ -3652,5 +3652,5 @@
 							 	click	: function()
 							 	{
-							 		importEmails.dialog("destroy");
+							 		importEmails.dialog("close").dialog("destroy");
 							 	}
 							 },
@@ -3702,5 +3702,13 @@
 							 	}
 							 }
-						]
+						], 
+	    open: function(event, ui)  
+	    { 
+	        if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+	    }, 
+	    close: function(event, ui)  
+	    { 
+	        if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+	    } 
 		});
 
@@ -3915,7 +3923,13 @@
 			modal: true,
 			resizable : false,
-			close: function(event) {
-				event.stopPropagation();
-			},
+			open: function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+            }, 
+            close: function(event, ui)  
+            { 
+                event.stopPropagation(); 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+            },
 			closeOnEscape: true
 		});
@@ -4035,5 +4049,13 @@
 										$( this ).dialog( "close" );
 									}
-								}
+								}, 
+						    close:function(event, ui)  
+						    { 
+						        if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+						    }, 
+						    open: function(event, ui)  
+						    { 
+						        if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+						    } 
 							});
 							$(".ui-dialog-buttonpane").find(".ui-button:last").children().html("Atualizar");
Index: branches/2.4/expressoMail1_2/js/ccQuickAdd.js
===================================================================
--- branches/2.4/expressoMail1_2/js/ccQuickAdd.js	(revision 6929)
+++ branches/2.4/expressoMail1_2/js/ccQuickAdd.js	(revision 6931)
@@ -89,5 +89,13 @@
 					}
 				}
-			]
+			], 
+ 	open: function(event, ui)  
+    { 
+        if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+    }, 
+    close: function(event, ui)  
+    { 
+        if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+    } 
 		});
 		quickContact.next().css("background-color", "#E0EEEE").find("button").addClass("button").addClass("small");
Index: branches/2.4/expressoMail1_2/js/QuickSearchUser.js
===================================================================
--- branches/2.4/expressoMail1_2/js/QuickSearchUser.js	(revision 6754)
+++ branches/2.4/expressoMail1_2/js/QuickSearchUser.js	(revision 6931)
@@ -31,8 +31,13 @@
 							}
 			],
-			beforeClose	: function()
-			{ 
-				$(this).dialog("destroy");
-			}
+			open: function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+            }, 
+            close: function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = false; 
+                $(this).dialog("destroy"); 
+            } 
 		});	
 		
Index: branches/2.4/expressoMail1_2/js/search.js
===================================================================
--- branches/2.4/expressoMail1_2/js/search.js	(revision 6754)
+++ branches/2.4/expressoMail1_2/js/search.js	(revision 6931)
@@ -107,5 +107,13 @@
 					//$(this).dialog("destroy");
 					$('fieldset', div).remove();
-				}
+				}, 
+            close:function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+            }, 
+            open: function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+            } 
 			});
 			
@@ -1599,5 +1607,5 @@
         if( this.divElement != null )
 		{
-			$(this.divElement.parentNode).dialog("destroy");
+			$(this.divElement.parentNode).dialog("close").dialog("destroy"); 
 			this.modal.dialog("close");
 			this.divElement.parentNode.removeChild(this.divElement);
Index: branches/2.4/expressoMail1_2/js/shortcut.js
===================================================================
--- branches/2.4/expressoMail1_2/js/shortcut.js	(revision 6754)
+++ branches/2.4/expressoMail1_2/js/shortcut.js	(revision 6931)
@@ -7,4 +7,5 @@
 shortcut = {
 	'all_shortcuts':{},//All the shortcuts are stored in this array
+	'disabled': false,
 	'add': function(shortcut_combination,callback,opt) {
 		//Provide a set of default options
@@ -41,4 +42,6 @@
 			}
 	
+		if(shortcut.disabled === true) 
+ 	        return; 
 			//Find Which key is pressed
 			if (e.keyCode) code = e.keyCode;
Index: branches/2.4/expressoMail1_2/js/TreeS.js
===================================================================
--- branches/2.4/expressoMail1_2/js/TreeS.js	(revision 5744)
+++ branches/2.4/expressoMail1_2/js/TreeS.js	(revision 6931)
@@ -32,5 +32,5 @@
 								click: function()
 								{
-									$(this).dialog("destroy");
+									$(this).dialog("close").dialog("destroy");
 									div.removeChild( div.firstChild );
 								},
@@ -40,4 +40,5 @@
 			beforeClose	: function()
 			{ 
+				if(typeof(shortcut) != 'undefined') shortcut.disabled = false;
 				$(this).dialog("destroy");
 				div.removeChild( div.firstChild );
@@ -54,5 +55,5 @@
 				else
 				{
-					if( Element('dftree_treeFolders') != null )
+				if( Element('dftree_treeFolders') != null )
 					{
 						$(div).dialog("destroy");
@@ -65,4 +66,5 @@
 					}
 				}
+				if(typeof(shortcut) != 'undefined') shortcut.disabled = true;
 			}
 		});
Index: branches/2.4/expressoMail1_2/js/wfolders.js
===================================================================
--- branches/2.4/expressoMail1_2/js/wfolders.js	(revision 5874)
+++ branches/2.4/expressoMail1_2/js/wfolders.js	(revision 6931)
@@ -48,5 +48,5 @@
 										 	click	: function()
 										 	{
-												winSaveFile.dialog("destroy");
+												winSaveFile.dialog("close"),dialog("destroy");
 										 	}
 										 },
@@ -81,8 +81,16 @@
 												}
 
-										 		winSaveFile.dialog("destroy");
+										 		winSaveFile.dialog("close").dialog("destroy"); 
 										 	}
 										 }
-									]	 	
+									], 
+                    close:function(event, ui)  
+                    { 
+                        if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+                    }, 
+                    open: function(event, ui)  
+                    { 
+                        if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+                    }            	 	
 					});	
 			
Index: branches/2.4/expressoMail1_2/js/filter.js
===================================================================
--- branches/2.4/expressoMail1_2/js/filter.js	(revision 5526)
+++ branches/2.4/expressoMail1_2/js/filter.js	(revision 6931)
@@ -474,5 +474,13 @@
 								style: "margin-top: -2.1em" 
 							},
-						]
+						], 
+ 	    open: function(event, ui)  
+        { 
+            if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+        }, 
+        close: function(event, ui)  
+        { 
+            if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+        } 
 			});
 		}; 
Index: branches/2.4/expressoMail1_2/js/draw_api.js
===================================================================
--- branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6864)
+++ branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6931)
@@ -4469,5 +4469,13 @@
 			modal: true,
 			closeOnEscape:true,
-			close:function(event, ui) {event.stopPropagation();},
+			close:function(event, ui)  
+            { 
+                event.stopPropagation(); 
+                 if(typeof(shortcut) != 'undefined') shortcut.disabled = false; 
+            }, 
+            open: function(event, ui)  
+            { 
+                if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+            }, 
 			autoOpen:false
 		});
Index: branches/2.4/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- branches/2.4/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6754)
+++ branches/2.4/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6931)
@@ -800,5 +800,10 @@
 									$( "#amount-text" ).focus();
 									event.stopPropagation();
-								}
+						if(typeof(shortcut) != 'undefined') shortcut.disabled = false;  
+			                                        }, 
+			open: function(event, ui)  
+			{ 
+			    if(typeof(shortcut) != 'undefined') shortcut.disabled = true;  
+			} 
 			});
 		});
@@ -814,5 +819,5 @@
 		$(this).bind('keydown');
 		$(function() {
-        $( "#dialog:ui-dialog" ).dialog( "destroy" );                    
+        $( "#dialog:ui-dialog" ).dialog("close").dialog( "destroy" );                    
         $( "#dialog-modal" ).dialog({
 			resizable: false,
@@ -832,4 +837,5 @@
 					content.find(field_).focus();    
 				} 
+			if(typeof(shortcut) != 'undefined') shortcut.disabled = false; 	
 			},
 			open: function () {
@@ -837,4 +843,5 @@
 				$("#selectable li:first").focus();
 				document.getElementById("amount-text").focus();	
+				if(typeof(shortcut) != 'undefined') shortcut.disabled = true;
 			},
 			focus: function (event, ui) {