Index: trunk/expressoAdmin1_2/js/jscode/shared_accounts.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 6911)
+++ trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 6953)
@@ -252,5 +252,5 @@
 	}
     }
-    //Nova chamada a "Element" é Necessária devido a um bug do ie com select
+    //Nova chamada a "Element" Ã© NecessÃ¡ria devido a um bug do ie com select
     select_owners = Element('ea_select_owners');
     if(select_owners.options.length > 0 ){
@@ -324,5 +324,5 @@
 	    Element('quota_used_field').style.display = 'inline';
 	    Element('desc').value = data.description;
-	    //Necessario, pois o IE6 tem um bug que não exibe as novas opções se o innerHTML estava vazio
+	    //Necessario, pois o IE6 tem um bug que nÃ£o exibe as novas opÃ§Ãµes se o innerHTML estava vazio
             
 	    if(data.owners_options){
@@ -741,4 +741,15 @@
 
     }
+
+    //$()
+    var checkboxes = $(".shared-permissions input:checkbox");
+    var check = $("#em_input_readAcl").attr("checked") == undefined ? false : true;
+    if(check){
+		checkboxes.removeAttr("disabled");
+	}else{
+		checkboxes.not(".shared-required").attr("disabled", "disabled");
+		checkboxes.removeAttr("checked");
+	}    
+
 }
 	
Index: trunk/expressoAdmin1_2/js/modal/modal.js
===================================================================
--- trunk/expressoAdmin1_2/js/modal/modal.js	(revision 5133)
+++ trunk/expressoAdmin1_2/js/modal/modal.js	(revision 6953)
@@ -102,4 +102,22 @@
 	objOverlay.style.display = 'block';
 	objLightbox.style.display = '';
+
+	//SETA REGRAS DOS CHECKBOX's
+
+	var checkboxes = $(objLightbox).find("input:checkbox");
+	checkboxes.filter(".shared-required").change(function(e){
+		if(!$("#ea_select_owners option:selected").length){
+			return;
+		}
+		var check = $(this).attr("checked") == undefined ? false : true;
+		if(check){
+			checkboxes.removeAttr("disabled");
+		}else{
+			checkboxes.not(".shared-required").attr("disabled", "disabled");
+			checkboxes.removeAttr("checked");
+		}
+	});
+		
+
 }
 
Index: trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 6877)
+++ trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 6953)
@@ -90,12 +90,57 @@
                     </table>
                     <br />
-                    <table align="ce"><tbody><tr><td colspan="2" width="125"><b>{lang_Rights}:</b></td></tr>
-                        <tr><td>{lang_read}:</td><td><input id="em_input_readAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_read_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_exclusion}:</td><td><input id="em_input_deleteAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_delete/move_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_creation}:</td><td><input id="em_input_writeAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_create/add_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_send}:</td><td><input disabled="disabled" id="em_input_sendAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_send_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_folder}:</td><td><input id="em_input_folderAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_allow_create_or_delete_folders_on_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        </tbody></table>
-                        <br />
+                    <table align="ce" class="shared-permissions">
+                    	<tbody>
+                    		<tr>
+                    			<td colspan="2" width="125">
+                    				<b>{lang_Rights}:</b>
+                    			</td>
+                    		</tr>
+	                    	<tr>
+	                    		<td>{lang_read}:</td>
+	                    		<td>
+	                    			<input id="em_input_readAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox" class="shared-required">
+	                    			<img title="{lang_this_user_will_can_read_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg">
+	                    		</td>
+	                    	</tr>
+	                    	<tr>
+	                    		<td>
+	                    			{lang_exclusion}:
+	                    		</td>
+	                    		<td>
+	                    			<input disabled="disabled" id="em_input_deleteAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox" class="shared-other">
+	                    			<img title="{lang_this_user_will_can_delete/move_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg">
+	                    		</td>
+	                    	</tr>
+	                    	<tr>
+	                    		<td>
+	                    			{lang_creation}:
+	                    		</td>
+	                    		<td>
+	                    			<input disabled="disabled" id="em_input_writeAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox" class="shared-other">
+	                    			<img title="{lang_this_user_will_can_create/add_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg">
+	                    		</td>
+	                    	</tr>
+	                    	<tr>
+	                    		<td>
+	                    			{lang_send}:
+	                    		</td>
+	                    		<td>
+	                    			<input disabled="disabled" id="em_input_sendAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox" class="shared-other">
+	                    			<img title="{lang_this_user_will_can_send_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg">
+	                    		</td>
+	                    	</tr>
+	                    	<tr>
+	                    		<td>
+	                    			{lang_folder}:
+	                    		</td>
+	                    		<td>
+	                    			<input disabled="disabled" id="em_input_folderAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox" class="shared-other">
+	                    			<img title="{lang_allow_create_or_delete_folders_on_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg">
+	                    		</td>
+	                    	</tr>
+                    	</tbody>
+                	</table>
+                <br />
 			<button id="bt_add_user" type="button" onClick="javascript:add_user();"><img src="expressoAdmin1_2/templates/default/images/add.png" style="vertical-align: middle;">&nbsp;{lang_add_owner}</button>
 			<br /><br />