Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6946)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6954)
@@ -144,5 +144,5 @@
   font-size: 150%;
   font-weight: bold;
-  width: 64%;
+  width: 100%;
   height: 150%;
 }
@@ -591,20 +591,28 @@
 /*Atividades*/
 
-.div-addactivity #calendar_addactivity_details5 .button-files-upload { margin: 0 0 0 5px; }
-.div-addactivity #calendar_addactivity_details1 .h1{ width: 100%;}
-.div-addactivity #calendar_addactivity_details2 textarea { width: 635px; }
 .div-addactivity{ width: 734px;}
-.div-addactivity #calendar_addactivity_details1 .time-previsao { width: 40px; }
-.div-addactivity #calendar_addactivity_details1 .date-previsao{ width: 80px; }
-
-.div-addactivity #calendar_addactivity_details1 .start-time{ width: 40px; }
-.div-addactivity #calendar_addaActivity_details1 .start-date{ width: 80px; }
-.div-addactivity #calendar_addactivity_details1 .end-time{ width: 40px; }
-.div-addactivity #calendar_addactivity_details1 .end-date{ width: 80px; }
-.div-addactivity #calendar_addactivity_details1 .previsao-termino { margin: 0 0 0 50px; }
-.div-addactivity #calendar_addactivity_details1 .subitem { margin: 5px; display: block;}
-.div-addactivity #calendar_addactivity_details1 .subitem .span_done{ margin: 0 30px;}
-.div-addactivity #calendar_addactivity_details1 .calendar_addevent_details_lnk_timezone { margin: 0 0 0 20px;}
-.div-addactivity #calendar_addactivity_details1 .subitem .done { width: 45px;}
+.div-addactivity #group_addactivity_details1 .h1{ width: 100%;}
+.div-addactivity #group_addactivity_details2 textarea { width: 635px; }
+.div-addactivity #group_addactivity_details1 .time-previsao { width: 40px; }
+.div-addactivity #group_addactivity_details1 .date-previsao{ width: 80px; }
+
+.div-addactivity #group_addactivity_details1 .start-time{ width: 40px; }
+.div-addactivity #group_addactivity_details1 .start-date{ width: 80px; }
+.div-addactivity #group_addactivity_details1 .end-time{ width: 40px; }
+.div-addactivity #group_addactivity_details1 .end-date{ width: 80px; }
+.div-addactivity #group_addactivity_details1 .previsao-termino { margin: 0 0 0 50px; }
+.div-addactivity #group_addactivity_details1 .subitem { margin: 5px; display: block;}
+.div-addactivity #group_addactivity_details1 .subitem .span_done{ margin: 0 30px;}
+.div-addactivity #group_addactivity_details1 .calendar_addevent_details_lnk_timezone { margin: 0 0 0 20px;}
+.div-addactivity #group_addactivity_details1 .subitem .done { width: 45px;} 
+
+.div-addactivity #group_addactivity_details1 .subitem .span_done.noAction{background-image: url("../img/gray.png"); background-repeat: no-repeat; }
+.div-addactivity #group_addactivity_details1 .subitem .span_done.inProcess{background-image: url("../img/yellow.png"); background-repeat: no-repeat;}
+.div-addactivity #group_addactivity_details1 .subitem .span_done.finished{background-image: url("../img/green.png"); background-repeat: no-repeat;}
+.div-addactivity #group_addactivity_details1 .subitem .span_done.canceled{background-image: url("../img/red.png"); background-repeat: no-repeat;}
+.div-addactivity #group_addactivity_details1 .subitem .span_done label{position: relative; left: 28px;}
+
+.div-addactivity #group_addactivity_details5.tab-level2{margin-top: 2px;}
+.div-addactivity #group_addactivity_details5 .button-files-upload { margin: 0 0 0 5px; }
 
 .div-addactivity  #group_addactivity_details6 .parent {width: 680px; min-height: 268px; float: left;}
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6951)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6954)
@@ -831,5 +831,6 @@
             dueTime: (!objEvent.due || objEvent.due == '' || objEvent.due == '0') ? '' : dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.due)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
             allDay: !!parseInt( objEvent.allDay ),
-            percentage: (objEvent.percentage) ? objEvent.percentage : '0'
+            percentage: (objEvent.percentage) ? objEvent.percentage : '0',
+			status: objEvent.status
         }
     });
@@ -885,5 +886,5 @@
         due: (form.dueDate == '' )? 0 : Date.parseExact(form.dueDate + " "+$.trim(form.dueHour) , formatString ).toString(!!form.allDay ? 'yyyy-MM-dd 00:00:00' : 'yyyy-MM-dd HH:mm:00'),
         allDay: ( !!form.allDay ? 1 : 0 ),      
-        status: form.taskStatus,      
+        status: form.activityStatus,      
         id: form.idActivity,
         type: !!form.type ?  form.type : 2,
@@ -946,5 +947,7 @@
                     startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(task.startTime)), task.timezone, task.calendar, obj.DayLigth, 'startTime'), User.preferences.hourFormat),
                     endDate: new Date( parseInt(task.endTime) - (!!parseInt(task.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( task.timezone ) ).toString( User.preferences.dateFormat ),
-                    endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(task.endTime)),  task.timezone, obj.calendar, obj.DayLigth, 'endTime'), User.preferences.hourFormat)
+                    endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(task.endTime)),  task.timezone, obj.calendar, obj.DayLigth, 'endTime'), User.preferences.hourFormat),
+					status: task.status,
+					percentage: task.percentage
                 }
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js	(revision 6951)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/activity.helpers.js	(revision 6954)
@@ -19,6 +19,6 @@
         var dueDate = new Date;
         var percentage = 0;
-
-        var allDay = true;
+		
+		var allDay = true;
 
         var formatString =  User.preferences.dateFormat + " " +  User.preferences.hourFormat;
@@ -52,5 +52,6 @@
             if(i == 'length')
                 continue;
-
+				
+			var statusActivity = tasks[i].status ;
             stTime = Date.parseExact( tasks[i].startDate + " "+$.trim( tasks[i].startHour) , formatString);
             enTime = Date.parseExact( tasks[i].endDate + " "+$.trim( tasks[i].endHour), formatString );
@@ -67,5 +68,9 @@
                 percentage += parseInt((100 / tasks.length)) * ( parseInt(tasks[i].percentage) / 100);
         }
-
+		
+		todoStatus('addActivity', (statusActivity != undefined) ? statusActivity : 1);
+		
+		UI.dialogs.addActivity.find('select[name="activityStatus"] option[value="'+statusActivity+'"]').attr('selected','selected');
+		
         dueDate = dueDate.compareTo(endDate) == -1 ? endDate : dueDate;
 
@@ -355,5 +360,5 @@
 /*Seleciona a agenda padrão para visualização/edição de um evento*/
 if(objActivity.id)
-    UI.dialogs.addActivity.find('option[value="'+objActivity.group+'"]').attr('selected','selected').trigger('change');
+    UI.dialogs.addActivity.find('select[name="group"] option[value="'+objActivity.group+'"]').attr('selected','selected').trigger('change');
 
 UI.dialogs.addActivity.find('.button').button();
@@ -363,4 +368,6 @@
         }
 });
+
+todoStatus('addActivity', (objActivity.activityStatus != undefined) ? objActivity.activityStatus : 1);
 
 // ==== validation events ====
@@ -487,5 +494,6 @@
                     dueTime: old_item.find('[name="taskDueTime"]').val(),
                     allDay: old_item.find('[name="taskAllDay"]').val(),
-                    percentage: old_item.find('[name="taskPercentage"]').val()
+                    percentage: old_item.find('[name="taskPercentage"]').val(),
+                    status: old_item.find('[name="taskStatus"]').val()
                 };
 
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js	(revision 6951)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/task.helpers.js	(revision 6954)
@@ -86,13 +86,14 @@
     return false;
 }
-function taskStatus(status){
+
+function todoStatus(view, status){
 	if (status == "1"){
-		UI.dialogs.addTask.find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('noAction');
+		UI.dialogs[view].find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('noAction');
 	}else if (status == "2"){
-		UI.dialogs.addTask.find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('inProcess');
+		UI.dialogs[view].find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('inProcess');
 	}else if (status == "3"){
-		UI.dialogs.addTask.find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('finished');
+		UI.dialogs[view].find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('finished');
 	}else if (status == "4"){
-		UI.dialogs.addTask.find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('canceled');
+		UI.dialogs[view].find('.subitem .span_done').removeClass('finished noAction inProcess canceled').addClass('canceled');
 	}
 }
@@ -374,15 +375,7 @@
     });
 	
-	if (objTask.taskStatus == "1" || objTask.taskStatus == undefined){
-		taskStatus(1);
-	}else if (objTask.taskStatus == "2"){
-		taskStatus(2);
-	}else if (objTask.taskStatus == "3"){
-		taskStatus(3);
-	}else if (objTask.taskStatus == "4"){
-		taskStatus(4);
-	}
+	todoStatus('addTask', (objTask.taskStatus  != undefined) ? objTask.taskStatus  : 1);
 	
-	//Concluão das Tarefas
+	//Conclusão das Tarefas
 	var conclusionTask = function(e){
 		var percentageTask = UI.dialogs.addTask.find('input[name="percentage"]');
@@ -396,11 +389,11 @@
 		if(percentageValue <= 0){
 			statusTask.find('option.taskStatus-noAction').attr('selected', 'selected');
-			taskStatus(1);		
+			todoStatus('addTask', 1);		
 		}else if(percentageValue == 100){
 			statusTask.find('option.taskStatus-finished').attr('selected', 'selected');
-			taskStatus(3);
+			todoStatus('addTask', 3);
 		}else{
 			statusTask.find('option.taskStatus-inProcess').attr('selected', 'selected');
-			taskStatus(2);
+			todoStatus('addTask', 2);
 		}		
 		setTimeout(function(){
@@ -415,17 +408,15 @@
 		var statusSelected = $('select[name=taskStatus] option:selected').val();
 		var percentageTask = UI.dialogs.addTask.find('input[name="percentage"]');
+		
 		if (statusSelected == "1"){
 			percentageTask.val(0);
-			taskStatus(1);
 		}else if(statusSelected == "2"){
 			percentageTask.val(percentageTask.val() != 0 ? (percentageTask.val() == 100 ? 99: percentageTask.val()) : 1);
-			taskStatus(2);
 		}else if(statusSelected == "3"){
 			percentageTask.val(100);
-			taskStatus(3);
 		}else if(statusSelected == "4"){
 			percentageTask.val(percentageTask.val() != 100 ? percentageTask.val() : 99);
-			taskStatus(4);
 		}
+		todoStatus('addTask', statusSelected);
 	});
 	
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_search_itemlist.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_search_itemlist.ejs	(revision 6945)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/task_search_itemlist.ejs	(revision 6954)
@@ -10,4 +10,5 @@
     <input type="hidden" name="taskDueTime" value="<%=data[i]['dueTime']%>" />
     <input type="hidden" name="taskAllDay" value="<%=data[i]['allDay']%>" />
+    <input type="hidden" name="taskStatus" value="<%=data[i]['status']%>" />
     <input type="hidden" name="taskPercentage" value="<%=data[i]['percentage']%>" />
     <label class="description"><%=data[i]['startDate']%> - <%=data[i]['description']%></label>
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs	(revision 6945)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/activity_add.ejs	(revision 6954)
@@ -64,5 +64,5 @@
                     <option <%= (data.activity.priority == '3') ? 'selected="selected"' : '' %> value="3">Baixa</option>
                 </select>
-                <span class="span_done"><img src="../prototype/modules/calendar/img/empty-status.png"/> Completo<span>
+                <span class="span_done"><label>Completo</label></span>
         </div>
 	</fieldset>